列出協會的會員資格(僅 id 和狀態)
GET
/v1/memberships
const url = 'https://api.vimine.network/v1/memberships?status=pending';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/memberships?status=pending' \ --header 'Authorization: Bearer <token>'分頁傳回,最新的在前。updated_since(RFC 3339)只傳回在該時刻之後有變化的記錄——用於增量同步。需要包含全協會清單功能的方案(否則傳回 plan_limit)。
授權方式
章節「授權方式」參數
章節「參數」查詢參數
章節「查詢參數」status
string
updated_since
string 格式: date-time
limit
integer
cursor
string
回應
章節「回應」200
章節「200」一頁結果
媒體類型application/json
object
items
Array<object>
object
id
string
status
string
verdict
string
membership_type
object
cod
string
issued_at
string 格式: date-time
valid_until
string 格式: date-time
updated_at
string 格式: date-time
next_cursor
string
範例自動產生
{ "items": [ { "id": "example", "status": "example", "verdict": "example", "membership_type": { "cod": "example" }, "issued_at": "2026-04-15T12:00:00Z", "valid_until": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" } ], "next_cursor": "example"}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章節「401」缺少憑證或憑證無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章節「403」協會的方案不包含全協會清單功能(plan_limit)
404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}